<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Simposiun</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-2 my-md-2 bd-layout">
    <div th:include="sidebar/sidebar_register::sidebar_register" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
                    <span>Simposium/Seminar/Workshop/Karya Ilmiah/buku</span>
                </div>
            </div>
        </div>
    <div class="row">
        <div class="col-md-12">
            <div class="card bg-body bg-opacity-50 shadow-sm">
<!--                <div class="card-header">-->
<!--                    <h4>List</h4>-->
<!--                </div>-->
                <div class="card-body">
                    <button type="button" th:if="${submit == null}" class="btn btn-primary rounded-pill" style="--bs-btn-bg: #15408d; background-image: var(--bs-gradient);" data-bs-toggle="modal" data-bs-target="#exampleModal">
                        Tambah Simposium/Konferensi/Seminar/Workshop
                    </button>

                    <br>

                    <!-- Modal -->
                    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-xl">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">SIMPOSIUM/SEMINAR/WORKSHOP/KARYA ILMIAH/BUKU</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
                                        <li class="nav-item" role="presentation">
                                            <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill" data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home" aria-selected="true">
                                                Simposium/Konferensi/Seminar/Workshop (maksimal 20 terpenting)
                                            </button>
                                        </li>
                                        <li class="nav-item" role="presentation">
                                            <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill" data-bs-target="#pills-profile" type="button" role="tab" aria-controls="pills-profile" aria-selected="false">
                                                Karya Ilmiah
                                            </button>
                                        </li>
                                        <li class="nav-item" role="presentation">
                                            <button class="nav-link" id="pills-contact-tab" data-bs-toggle="pill" data-bs-target="#pills-contact" type="button" role="tab" aria-controls="pills-contact" aria-selected="false">
                                                Buku
                                            </button>
                                        </li>
                                    </ul>
                                    <div class="tab-content" id="pills-tabContent">
                                        <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                                            <form th:action="@{/form/simposium}" method="post" enctype="multipart/form-data">
                                                <div class="mb-3">
                                                    <label>Nama Kegiatan</label>
                                                    <input type="text" name="nama" class="form-control">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Lama (hari)</label>
                                                    <input type="text" name="lama" class="form-control">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Tahun</label>
                                                    <input type="text" name="tahun" class="form-control">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Tempat</label>
                                                    <input type="text" name="tempat" class="form-control">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Pilihan</label>
                                                    <select name="jenis" class="form-select">
                                                        <option value="" selected disabled>-- Pilih --</option>
                                                        <option value="Simposium">Simposium</option>
                                                        <option value="Konferensi">Konferensi</option>
                                                        <option value="Seminar">Seminar</option>
                                                        <option value="Seminar">Workshop</option>
                                                    </select>
                                                </div>
                                                <div class="mb-3">
                                                    <label>
                                                        Keterangan
                                                    </label>
                                                    <select name="keterangan" id="keterangan" class="form-select">
                                                        <option value="" selected disabled>-- Pilih --</option>
                                                        <option value="Pemakalah">Pemakalah</option>
                                                        <option value="Peserta">Peserta</option>
                                                        <option value="Lainnya">Lainnya</option>
                                                    </select>
                                                </div>
                                                <div class="mb-3">
                                                    <label>Upload File Pendukung</label>
                                                    <input type="file" class="form-control" name="image">
                                                </div>
                                                <br>
                                                <div class="mb-3">
                                                    <button type="submit" class="btn btn-success">Simpan</button>
                                                </div>
                                            </form>
                                        </div>
                                        <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">
                                            <form th:action="@{/form/simposium}" method="post" enctype="multipart/form-data">
                                                <div class="mb-3">
                                                    <label>Judul Karya Ilmiah</label>
                                                    <input type="text" name="nama" class="form-control">
                                                    <input type="hidden" name="pendaftar" th:value="${id}">
                                                    <input type="hidden" name="jenis" th:value="${'Karya Ilmiah'}">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Tahun</label>
                                                    <input type="text" name="tahun" class="form-control">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Penulis Utama/Anggota</label>
                                                    <input type="text" name="penulis" class="form-control">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Keterangan (majalah, proceeding, jurnal, dll)</label>
                                                    <input type="text" name="keterangan" class="form-control">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Upload File Pendukung</label>
                                                    <input type="file" class="form-control" name="image">
                                                </div>
                                                <br>
                                                <div class="mb-3">
                                                    <button type="submit" class="btn btn-success">Simpan</button>
                                                </div>
                                            </form>
                                        </div>
                                        <div class="tab-pane fade" id="pills-contact" role="tabpanel" aria-labelledby="pills-contact-tab">
                                            <form th:action="@{/form/simposium}" method="post" enctype="multipart/form-data">
                                                <div class="mb-3">
                                                    <label>Judul Buku yang diterbitkan</label>
                                                    <input type="text" name="nama" class="form-control">
                                                    <input type="hidden" name="pendaftar" th:value="${id}">
                                                    <input type="hidden" name="jenis" th:value="${'Buku'}">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Tahun terbit</label>
                                                    <input type="text" name="tahunTerbit" class="form-control">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Jumlah Halaman</label>
                                                    <input type="text" name="jumlahHalaman" class="form-control">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Penulis Utama/Anggota</label>
                                                    <input type="text" name="penulis" class="form-control">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Penerbit</label>
                                                    <input type="text" name="penerbit" class="form-control">
                                                </div>
                                                <div class="mb-3">
                                                    <label>Upload File Pendukung</label>
                                                    <input type="file" class="form-control" name="image">
                                                </div>
                                                <br>
                                                <div class="mb-3">
                                                    <button type="submit" class="btn btn-success">Simpan</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>

                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary rounded-pill" data-bs-dismiss="modal">Tutup</button>

                                </div>
                            </div>

                        </div>
                    </div>
                    <br>
                    <div class="table-responsive">
                        <table class="table table-hover table-striped small">
                            <thead class="table-dark" style="--bs-table-bg:#15408d;">
                            <tr>
                                <th>#</th>
                                <th>Nama Kegiatan</th>
                                <th>Lama (Hari)</th>
                                <th>Tahun</th>
                                <th>Tempat</th>
                                <th>Keterangan (Pemakalah/Peserta)</th>
                                <th></th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr class="align-middle" th:each="data, row:${list}">
                                <td th:text="${(row.index + 1)}"></td>
                                <td th:text="${data.nama}"></td>
                                <td th:text="${data.lama}"></td>
                                <td th:text="${data.tahun}"></td>
                                <td th:text="${data.tempat}"></td>
                                <td th:text="${data.keterangan}"></td>
                                <td>
                                    <a th:href="@{/form/simposium/{simposium}/(simposium = ${data.id})}" target="_blank" class="btn btn-warning btn-sm">Lihat File Upload</a>
                                </td>
                                <td>
                                    <form th:if="${submit == null}" method="post" th:action="@{/form/delete/simposium(simposium=${data.id})}">
                                        <button type="submit" class="btn btn-danger btn-sm"
                                                onclick="return confirm('Are you sure want to delete this?')">
                                            hapus
                                        </button>
                                    </form>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="card-footer">
                    <div class="row">
                        <div class="col-md-5 col-sm-5">
                            <div th:if="${submit != null}"><div class="alert alert-warning p-2" th:text="${submit}"></div></div>
                        </div>
                        <div class="col-md-7 col-sm-7" style="text-align: right;">
                            <a th:href="@{/form/kerjasama}" class="btn btn-success rounded-pill">Selanjutnya</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </main>
</main>
</body>
</html>